<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlatZaAnalitiku: StatWindow Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">AlatZaAnalitiku
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_stat_window-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">StatWindow Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="statwindow_8h_source.html">statwindow.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for StatWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_stat_window__inherit__graph.png" border="0" usemap="#a_stat_window_inherit__map" alt="Inheritance graph"/></div>
<map name="a_stat_window_inherit__map" id="a_stat_window_inherit__map">
<area shape="rect" title=" " alt="" coords="5,123,239,341"/>
<area shape="rect" title=" " alt="" coords="73,5,171,75"/>
<area shape="poly" title=" " alt="" coords="125,90,125,123,119,123,119,90"/>
</map>
</div>
<div class="dynheader">
Collaboration diagram for StatWindow:</div>
<div class="dyncontent">
<div class="center"><img src="class_stat_window__coll__graph.png" border="0" usemap="#a_stat_window_coll__map" alt="Collaboration graph"/></div>
<map name="a_stat_window_coll__map" id="a_stat_window_coll__map">
<area shape="rect" title=" " alt="" coords="5,331,239,528"/>
<area shape="rect" title=" " alt="" coords="13,101,111,171"/>
<area shape="poly" title=" " alt="" coords="74,184,105,330,99,331,69,185"/>
<area shape="rect" href="class_data_frame.html" title=" " alt="" coords="135,5,231,267"/>
<area shape="poly" title=" " alt="" coords="159,267,149,315,143,314,153,266"/>
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-slots" name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a4116c3d61aaebe383b5539df96976423" id="r_a4116c3d61aaebe383b5539df96976423"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a4116c3d61aaebe383b5539df96976423">on_cbColumn_currentTextChanged</a> (const QString &amp;arg1)</td></tr>
<tr class="separator:a4116c3d61aaebe383b5539df96976423"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ed12ef9f9a5d95b2387f81a209ce42d" id="r_a3ed12ef9f9a5d95b2387f81a209ce42d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a3ed12ef9f9a5d95b2387f81a209ce42d">on_btnMake_clicked</a> ()</td></tr>
<tr class="separator:a3ed12ef9f9a5d95b2387f81a209ce42d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a296cc088f28752747d1507a7d7ab9dbf" id="r_a296cc088f28752747d1507a7d7ab9dbf"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a296cc088f28752747d1507a7d7ab9dbf">StatWindow</a> (QWidget *parent=nullptr, QLayout *parentLayout=nullptr)</td></tr>
<tr class="separator:a296cc088f28752747d1507a7d7ab9dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1756c5a60f9ce4db4c44f050a7626ef5" id="r_a1756c5a60f9ce4db4c44f050a7626ef5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1756c5a60f9ce4db4c44f050a7626ef5">~StatWindow</a> ()</td></tr>
<tr class="separator:a1756c5a60f9ce4db4c44f050a7626ef5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a21e5c765180fb38c7ed177c8fe6b5bcd" id="r_a21e5c765180fb38c7ed177c8fe6b5bcd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_data_frame.html">DataFrame</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a21e5c765180fb38c7ed177c8fe6b5bcd">data</a></td></tr>
<tr class="separator:a21e5c765180fb38c7ed177c8fe6b5bcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a2f6585a6864ce8e97d1c13a1fd79eed9" id="r_a2f6585a6864ce8e97d1c13a1fd79eed9"><td class="memItemLeft" align="right" valign="top">Ui::StatWindow *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a2f6585a6864ce8e97d1c13a1fd79eed9">ui</a></td></tr>
<tr class="separator:a2f6585a6864ce8e97d1c13a1fd79eed9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a124dcdda04616b22c732dacea1565c4d" id="r_a124dcdda04616b22c732dacea1565c4d"><td class="memItemLeft" align="right" valign="top">QComboBox *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a124dcdda04616b22c732dacea1565c4d">_cbSender</a></td></tr>
<tr class="separator:a124dcdda04616b22c732dacea1565c4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d8ee76aa81cfbe7e666b06a35ebf82a" id="r_a6d8ee76aa81cfbe7e666b06a35ebf82a"><td class="memItemLeft" align="right" valign="top">QLayout *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a6d8ee76aa81cfbe7e666b06a35ebf82a">_parrentLayout</a></td></tr>
<tr class="separator:a6d8ee76aa81cfbe7e666b06a35ebf82a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e5a9704b02c1e416b07435b174fb43a" id="r_a7e5a9704b02c1e416b07435b174fb43a"><td class="memItemLeft" align="right" valign="top">QWidget *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7e5a9704b02c1e416b07435b174fb43a">_targetParent</a></td></tr>
<tr class="separator:a7e5a9704b02c1e416b07435b174fb43a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a296cc088f28752747d1507a7d7ab9dbf" name="a296cc088f28752747d1507a7d7ab9dbf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a296cc088f28752747d1507a7d7ab9dbf">&#9670;&#160;</a></span>StatWindow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">StatWindow::StatWindow </td>
          <td>(</td>
          <td class="paramtype">QWidget *</td>          <td class="paramname"><span class="paramname"><em>parent</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span>, </span></td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">QLayout *</td>          <td class="paramname"><span class="paramname"><em>parentLayout</em><span class="paramdefsep"> = </span><span class="paramdefval">nullptr</span></span>&#160;)</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">explicit</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1756c5a60f9ce4db4c44f050a7626ef5" name="a1756c5a60f9ce4db4c44f050a7626ef5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1756c5a60f9ce4db4c44f050a7626ef5">&#9670;&#160;</a></span>~StatWindow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">StatWindow::~StatWindow </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3ed12ef9f9a5d95b2387f81a209ce42d" name="a3ed12ef9f9a5d95b2387f81a209ce42d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ed12ef9f9a5d95b2387f81a209ce42d">&#9670;&#160;</a></span>on_btnMake_clicked</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StatWindow::on_btnMake_clicked </td>
          <td>(</td>
          <td class="paramname"><span class="paramname"></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4116c3d61aaebe383b5539df96976423" name="a4116c3d61aaebe383b5539df96976423"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4116c3d61aaebe383b5539df96976423">&#9670;&#160;</a></span>on_cbColumn_currentTextChanged</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void StatWindow::on_cbColumn_currentTextChanged </td>
          <td>(</td>
          <td class="paramtype">const QString &amp;</td>          <td class="paramname"><span class="paramname"><em>arg1</em></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">slot</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a124dcdda04616b22c732dacea1565c4d" name="a124dcdda04616b22c732dacea1565c4d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a124dcdda04616b22c732dacea1565c4d">&#9670;&#160;</a></span>_cbSender</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QComboBox* StatWindow::_cbSender</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6d8ee76aa81cfbe7e666b06a35ebf82a" name="a6d8ee76aa81cfbe7e666b06a35ebf82a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6d8ee76aa81cfbe7e666b06a35ebf82a">&#9670;&#160;</a></span>_parrentLayout</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QLayout* StatWindow::_parrentLayout</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a7e5a9704b02c1e416b07435b174fb43a" name="a7e5a9704b02c1e416b07435b174fb43a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7e5a9704b02c1e416b07435b174fb43a">&#9670;&#160;</a></span>_targetParent</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">QWidget* StatWindow::_targetParent</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a21e5c765180fb38c7ed177c8fe6b5bcd" name="a21e5c765180fb38c7ed177c8fe6b5bcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21e5c765180fb38c7ed177c8fe6b5bcd">&#9670;&#160;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_data_frame.html">DataFrame</a> StatWindow::data</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2f6585a6864ce8e97d1c13a1fd79eed9" name="a2f6585a6864ce8e97d1c13a1fd79eed9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2f6585a6864ce8e97d1c13a1fd79eed9">&#9670;&#160;</a></span>ui</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Ui::StatWindow* StatWindow::ui</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>alatZaAnalitiku/src/<a class="el" href="statwindow_8h_source.html">statwindow.h</a></li>
<li>alatZaAnalitiku/src/<a class="el" href="statwindow_8cpp.html">statwindow.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0
</small></address>
</body>
</html>
